Roku Developer Program

Developers and content creators—a complete solution for growing an audience directly.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Level 7

Re: Eclipse plugin for Brightscript

"ioan" wrote:
The selected wizard could not be started.
Plug-in com.domhain.brightscript.plugin was unable to load class com.domhain.brightscript.plugin.wizards.newproject.BrightScriptProjectWizard.
An error occurred while automatically activating bundle com.domhain.brightscript.plugin (302).


That's what I get when I try to create a new project.


Sorry for the delay in response - was on vacation.

Assuming you have the current version of the BrightScript plugin installed, the most likely source of this message is that you are missing one or more of the plugin prerequisites.

Of those prerequistites, the most likely source of trouble is your installed default Java version (since Eclipse will attempt to install any other prerequisite eclipse plugins the brightscript plugin identifies in it's manifest).
The BrightScript plugin currently requires Java 6 (I'll try to down-rev the requirement to Java 5 in the next release).
So, please check your default Java version. (BTW - I've noticed many Mac OSX users are still using Apple's original default shipping version of Java, which in most cases was 1.5 or 1.4 depending on the version of OSX).
Let me know either way.
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Hello,

I'm having a similar issue. The error I get when trying to start a new BrigthScript project:
The selected wizard could not be started.
Plug-in com.domhain.brightscript.plugin was unable to load class com.domhain.brightscript.plugin.wizards.newproject.BrightScriptProjectWizard.
An error occurred while automatically activating bundle com.domhain.brightscript.plugin (304).

I use:
Eclipse - Version: Helios Service Release 1
- Build id: 20100917-0705
Java - 1.6.0_18
Windows XP.

If there's any other information I can provide you with please let me know. I was looking forward to using your plugin, too bad I can't. Programming in Notepad++ is not very attractive Smiley Happy

Thank you,
Florin
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Very sorry folks - the plugin update site has an eclipse feature/plugin package pointing to the old version of the BrightScript plugin (which timed-out on January 1st if memory serves), even though the new version has been posted to the update site for some time now. I'll correct this later tonight, and post an update to this thread when the update site problem is fixed.

Cheers
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

"malloys" wrote:
Very sorry folks - the plugin update site has an eclipse feature/plugin package pointing to the old version of the BrightScript plugin (which timed-out on January 1st if memory serves), even though the new version has been posted to the update site for some time now. I'll correct this later tonight, and post an update to this thread when the update site problem is fixed.

Cheers



OK, the update site problem appears to be corrected.
Just reminder - the current beta will stop working on 4/1/2011. I expect to have a new beta out before then.

Cheers
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Hello,

I've updated the plugin, I don't get the error anymore, but after I select BrightScript Project from the New Project Wizard and click Next, I get to the screen which says to 'Enter a project name', but there's no text box on it, nothing. I can only press the Back and Cancel buttons. No errors are thrown, but I just can't create any project.
I'm not sure if it matters, but I installed both the Basic support and the Advanced support.

Thanks,
Florin
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Ok, so I uninstalled both plugins, installed them again, and now everything seems to work fine. Thank you for creating the plugin! Smiley Very Happy
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

And me again, I was able to create a project, syntax highlighting works, but autocomplete, ctrl+space don't. Whenever I type a variable and put a dot after it, in the status bar I get:
Syntax error: unexpected token "(...)" <NEWLINE>, expected one of <ID>, or <TYPEID>

Also I'm not really sure how I can run or debug the code from ecplise.
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

"gplayersv" wrote:
And me again, I was able to create a project, syntax highlighting works, but autocomplete, ctrl+space don't. Whenever I type a variable and put a dot after it, in the status bar I get:
Syntax error: unexpected token "(...)" <NEWLINE>, expected one of <ID>, or <TYPEID>

Also I'm not really sure how I can run or debug the code from ecplise.


Re: Auto-complete.
That's a known bug (or more accurately, an incomplete implementation). Auto-complete doesn't work properly yet - partial input is not taken into account in the code, so the most you can get right now is to hit ctrl-space first, then select something from the list, which is a combination of variable names defined in your .brs file so far, component types (which is now an incomplete list because I'm behind on the matching the SDK contents), and language keywords. Basically, the current "auto-complete" code is just a placeholder until I can get around to the complete and correct implementation.
The language parser runs in the background, and doesn't pause (yet) while you're typing or in auto-complete mode, so it will quickly show a syntax error message in the status bar at that point (because technically, if you stop at the "dot", it is a syntax error).

Re: Running and debugging.
At present there is no integration with the Roku on-box debugger. That's on the to-do list, and most likely the next major area I'll tackle once some of the existing bugs are fixed.
Running your code will always be on the Roku box itself, unless Roku decides to include an emulator in the SDK.
At present, you can package and upload your project to the Roku box, which automatically runs the channel on completion of upload, by using the BrightScript plugin's export wizard (File->Export->BrightScript->BrightScript Deployment). Note, you must have the project or one of it's files selected before the export wizard will work.

Cheers
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Thank you for the detailed answers!
0 Kudos
Highlighted
Level 7

Re: Eclipse plugin for Brightscript

Hello, it's a few months since this Forums thread was last updated. Dunno if this project is still under development.

1) Has anyone with a Mac been able to get either of the plugins to work, at all?

I've got today's latest Eclipse Helios SE2 (first I tried for Java, then for PHP) running under the Jave SE 1.6.0_24, and while the plugin will install, it is not listed in the known editors for assigning an editor to a file extension and it is not listed when I try to create a new project.

Opening the "workspace/.metadata/.log" file didn't show me any reference to "Brightscript" anything.

Adding
<natures>
<nature>com.domhain.brightscript.plugin.nature</nature>
</natures>
to my .project file caused no errors or complaints and .brs and .brc files remain plain-text editable.


2) Is there a newer version of the Advanced plugin than from February? I assume that when/if I ever get this to work, it will tell me that it has expired since we're past 4/1.
0 Kudos